import type { PropType } from 'vue';
import type { CrossOrigin, FetchPriority, HTTPEquiv, LinkRelationship, ReferrerPolicy, Target } from './types.js';
export declare const NoScript: import("vue").DefineComponent<{
    title: StringConstructor;
    body: BooleanConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    translate: StringConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | null | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: StringConstructor;
    body: BooleanConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    translate: StringConstructor;
}>>, {
    body: boolean;
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}>;
export declare const Link: import("vue").DefineComponent<{
    as: StringConstructor;
    crossorigin: PropType<CrossOrigin>;
    disabled: BooleanConstructor;
    fetchpriority: PropType<FetchPriority>;
    href: StringConstructor;
    hreflang: StringConstructor;
    imagesizes: StringConstructor;
    imagesrcset: StringConstructor;
    integrity: StringConstructor;
    media: StringConstructor;
    prefetch: {
        type: BooleanConstructor;
        default: undefined;
    };
    referrerpolicy: PropType<ReferrerPolicy>;
    rel: PropType<LinkRelationship>;
    sizes: StringConstructor;
    title: StringConstructor;
    type: StringConstructor;
    /** @deprecated **/
    methods: StringConstructor;
    /** @deprecated **/
    target: PropType<Target>;
    body: BooleanConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    translate: StringConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | null | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    as: StringConstructor;
    crossorigin: PropType<CrossOrigin>;
    disabled: BooleanConstructor;
    fetchpriority: PropType<FetchPriority>;
    href: StringConstructor;
    hreflang: StringConstructor;
    imagesizes: StringConstructor;
    imagesrcset: StringConstructor;
    integrity: StringConstructor;
    media: StringConstructor;
    prefetch: {
        type: BooleanConstructor;
        default: undefined;
    };
    referrerpolicy: PropType<ReferrerPolicy>;
    rel: PropType<LinkRelationship>;
    sizes: StringConstructor;
    title: StringConstructor;
    type: StringConstructor;
    /** @deprecated **/
    methods: StringConstructor;
    /** @deprecated **/
    target: PropType<Target>;
    body: BooleanConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    translate: StringConstructor;
}>>, {
    prefetch: boolean;
    body: boolean;
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
    disabled: boolean;
}>;
export declare const Base: import("vue").DefineComponent<{
    href: StringConstructor;
    target: PropType<Target>;
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | null | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    href: StringConstructor;
    target: PropType<Target>;
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
}>>, {
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}>;
export declare const Title: import("vue").DefineComponent<{
    [x: string]: any;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | null | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    [x: string]: any;
}>>, {
    [x: string]: any;
}>;
export declare const Meta: import("vue").DefineComponent<{
    charset: StringConstructor;
    content: StringConstructor;
    httpEquiv: PropType<HTTPEquiv>;
    name: StringConstructor;
    body: BooleanConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | null | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    charset: StringConstructor;
    content: StringConstructor;
    httpEquiv: PropType<HTTPEquiv>;
    name: StringConstructor;
    body: BooleanConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
}>>, {
    body: boolean;
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}>;
export declare const Style: import("vue").DefineComponent<{
    type: StringConstructor;
    media: StringConstructor;
    nonce: StringConstructor;
    title: StringConstructor;
    /** @deprecated **/
    scoped: {
        type: BooleanConstructor;
        default: undefined;
    };
    body: BooleanConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    translate: StringConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | null | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    type: StringConstructor;
    media: StringConstructor;
    nonce: StringConstructor;
    title: StringConstructor;
    /** @deprecated **/
    scoped: {
        type: BooleanConstructor;
        default: undefined;
    };
    body: BooleanConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    translate: StringConstructor;
}>>, {
    body: boolean;
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
    scoped: boolean;
}>;
export declare const Head: import("vue").DefineComponent<{}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
export declare const Html: import("vue").DefineComponent<{
    manifest: StringConstructor;
    version: StringConstructor;
    xmlns: StringConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | null | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    manifest: StringConstructor;
    version: StringConstructor;
    xmlns: StringConstructor;
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
}>>, {
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}>;
export declare const Body: import("vue").DefineComponent<{
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | null | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    renderPriority: (StringConstructor | NumberConstructor)[];
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: StringConstructor;
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
}>>, {
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}>;
