import { useModalsStore } from '~/stores/modals'

// Define the types of your predefined modals
type ModalType = 'createExtension' | 'extensionQR';

class ModalManager {
  private modalsStore = useModalsStore();

  openModal(modalType: ModalType) {
    switch(modalType) {
      case 'createExtension':
        this.modalsStore.showCreateExtension();
        break;
      case 'extensionQR':
        this.modalsStore.showExtensionQR();
        break;
      default:
        throw new Error(`Modal type ${modalType} not recognized`);
    }
  }

  closeModal(modalType: ModalType) {
    switch(modalType) {
      case 'createExtension':
        this.modalsStore.hideCreateExtension();
        break;
      case 'extensionQR':
        this.modalsStore.hideExtensionQR();
        break;
      default:
        throw new Error(`Modal type ${modalType} not recognized`);
    }
  }
}

export default new ModalManager();
