import { defineStore } from "pinia";

import { api } from "~/src/scripts/APILibrary";
import {useCgrt} from "~/stores/cgrt";

export const useAuth = defineStore("auth", {
  state: () => ({
    token: "",
    username: "",
    domain_name: "",
    api: {},
  }),
  actions: {
    async login(username: string, password: string) {
      const result = await api.post("auth_login", {
        username,
        password,
      });

      this.token = result.token;
      this.username = result.username;
      this.domain_name = result.domain_name;
      api.addToken(this.token);
      await useCgrt().get_cgrt();

      return result.token;
    },
    logout() {
      this.$reset();
    },
  },
});
