/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./components/**/*.{js,vue,ts}",
    "./layouts/**/*.vue",
    "./pages/**/*.vue",
    "./plugins/**/*.{js,ts}",
    "./nuxt.config.{js,ts}",
    "./app.vue",
  ],
  theme: {
    extend: {
      colors: {
        jet: "#190B1A",
        slate: "#291929",
        licorice: {
          400: "#180F18",
          500: "#090212",
        },
        charcoal: "#211D21",
        ash: "#180F18",
        metal: "#3E373E",
        "light-purple": {
          200: "#E8B5E9",
          400: "#BBA5BB",
          500: "#825B82",
          700: "#6F5C6F",
          800: "#867586",
          900: "#372E37",
        },
        "dark-purple": {
          50: "#392939",
          100: "#352335",
          200: "#251825",
          300: "#120A1D",
          400: "#230C23",
        },
        "dark-magenta": {
          50: "#E1D2F2",
          100: "#C6B7C7",
          200: "#5C4B5C",
          300: "#2F253B",
          400: "#a600a8",
          500: "#8C008E",
          600: "#410342",
          800: "#290029",
        },
        "hot-pink": {
          500: "#EF31F3",
          800: "#8E0690",
          900: "#230C23",
        },
        "sky-blue": {
          500: "#5091F2",
        },
        "taupe-gray": "#7D727D",
        "mountbatten-pink": "#A787A7",
        "russian-violet": "#491049",
        thistle: {
          400: "#E1D2F2",
          500: "#C6B7C7",
        },
        "raisin-black": "#372E37",
        eggplant: {
          500:"#655465",
          600: "#554255"
        },
      },
      boxShadow: {
        "purple-sm": "0px 10px 20px rgba(131, 108, 244, 0.3)",
        "purple-lg": "0px 20px 25px rgba(131, 108, 244, 0.21)",
      },
    },

    fontFamily: {
      sans: ["Sofia Pro", "sans-serif"],
    },
  },
  plugins: [],
};
